Download Backblaze B2
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Download Backblaze B2 action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Download files from Backblaze B2/bucketname",
"type": "DOWNLOAD_BACKBLAZE_B2",
"trigger_time": "ON_EVERY_EXECUTION",
"bucket_name": "bucketname",
"source_path": "source",
"destination_path": "destination",
"integration": {
"identifier": "backblaze"
},
"region": "us-east-005",
"overwrite": true,
"recursive": true,
"download_excludes": [
"/tmp",
"*.log"
],
"download_includes": [
"/tmp/assets",
"/tmp/styles"
]
}'STATUS200 OK